Bug 135554 - firefox seem to loop with load 1
firefox seem to loop with load 1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 10:30 EDT by Harald Hoyer
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 05:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2004-10-13 10:30:20 EDT
(gdb) bt
#0  0xf5ba9141 in nsGenericDOMDataNode::GetBindingParent (this=0xd2f7738)
    at nsGenericDOMDataNode.cpp:932
#1  0xf5af0690 in nsCSSFrameConstructor::FindFrameWithContent (
    this=0xd0a53f8, aPresContext=0xce5eb38, aFrameManager=0xc2271a0,
    aParentFrame=0xd5a3b98, aParentContent=0xd0c4340, aContent=0xd53e378,
    aHint=0x0) at nsCSSFrameConstructor.cpp:10987
#2  0xf5af06ad in nsCSSFrameConstructor::FindFrameWithContent (
    this=0xd0a53f8, aPresContext=0xce5eb38, aFrameManager=0xc2271a0,
    aParentFrame=0xd0caad4, aParentContent=0xd0c4340, aContent=0xd53e378,
    aHint=0x0) at nsCSSFrameConstructor.cpp:10995
#3  0xf5af06ad in nsCSSFrameConstructor::FindFrameWithContent (
    this=0xd0a53f8, aPresContext=0xce5eb38, aFrameManager=0xc2271a0,
    aParentFrame=0xd00c010, aParentContent=0xd0c4340, aContent=0xd53e378,
    aHint=0x0) at nsCSSFrameConstructor.cpp:10995
#4  0xf5af06ad in nsCSSFrameConstructor::FindFrameWithContent (
    this=0xd0a53f8, aPresContext=0xce5eb38, aFrameManager=0xc2271a0,
    aParentFrame=0xd0cab24, aParentContent=0xd0c4340, aContent=0xd53e378,
    aHint=0x0) at nsCSSFrameConstructor.cpp:10995
#5  0xf5af09e6 in nsCSSFrameConstructor::FindPrimaryFrameFor
(this=0xd0a53f8,
    aPresContext=0xce5eb38, aFrameManager=0xc2271a0, aContent=0xd53e378,
    aFrame=0xfee9f054, aHint=0x0) at nsCOMPtr.h:704
#6  0xf5a902e1 in nsFrameManager::GetPrimaryFrameFor (this=0xc2271a0,
    aContent=0xd53e378) at nsIPresShell.h:164
#7  0xf5ab4694 in PresShell::GetPrimaryFrameFor (this=0xc227188,
    aContent=0xd53e378, aResult=0xd0c4340) at nsIPresShell.h:168
#8  0xf5d1927d in nsElementSH::PostCreate (this=0x90015b0,
wrapper=0xd53e630,
    cx=0x89167e0, obj=0xd777768) at nsCOMPtr.h:704
#9  0xf6afbb21 in XPCWrappedNative::GetNewOrUsed (ccx=@0xfee9f71c,
    Object=0xd53e378, Scope=0xcf20a40, Interface=0x88ae940,
    resultWrapper=0xfee9f390) at xpcprivate.h:1477
#10 0xf6afb233 in XPCWrappedNative::GetNewOrUsed (ccx=@0xfee9f71c,
    Object=0xd53e394, Scope=0x8919148, Interface=0x88ae940,
    resultWrapper=0xfee9f390) at nsCOMPtr.h:947
#11 0xf6ae7771 in XPCConvert::NativeInterface2JSObject (ccx=@0xfee9f71c,
    dest=0xfee9f3e4, src=0xd53e394, iid=0xfee9f79c, scope=0x8a44770,
pErr=0x0)
    at xpcprivate.h:3153
#12 0xf6ae9825 in XPCConvert::NativeData2JS (ccx=@0xfee9f71c,
d=0xfee9f5f8,
    s=0xd0c4340, type=@0xd53e394, iid=0xfee9f79c, scope=0x8a44770,
pErr=0x0)
    at nsCOMPtr.h:1211
#13 0xf6af6a17 in nsXPCWrappedJSClass::CallMethod (this=0x8db60d8,
    wrapper=0xd2f7738, methodIndex=3, info=0x8932a88,
nativeParams=0xfee9f828)
    at xpcwrappedjsclass.cpp:1226
#14 0xf6af2d51 in nsXPCWrappedJS::CallMethod (this=0x8db6208,
    methodIndex=17216, info=0x8932a88, params=0xfee9f828) at
xpcprivate.h:2139
#15 0xf6f7b1d0 in PrepareAndDispatch (methodIndex=4276746280,
self=0x8db6208,
    args=0x38) at xptcstubs_gcc_x86_unix.cpp:100
#16 0xf5bb1897 in nsContentUtils::CanLoadImage (aURI=0xd53e508,
    aContext=0xd53e394, aLoadingDocument=0xd2f7738) at nsCOMPtr.h:710
#17 0xf5bee3ad in nsImageLoadingContent::ImageURIChanged (this=0xd53e394,
    aNewURI=@0xfee9f9ac) at nsCOMPtr.h:704
#18 0xf5bee5c0 in nsImageLoadingContent::ImageURIChanged (this=0xd53e394,
    aNewURI=@0xfee9fa28) at nsString.h:158
#19 0xf5c292ea in nsHTMLImageElement::SetParent (this=0xd53e378,
    aParent=0xfee9fa28) at nsHTMLImageElement.cpp:656
---Type <return> to continue, or q <return> to quit---
#20 0xf5baf8de in nsGenericElement::AppendChildTo (this=0xd0c4340,
    aKid=0xd53e378, aNotify=0, aDeepSetDocument=0)
    at nsGenericElement.cpp:2587
#21 0xf5c58d90 in SinkContext::AddLeaf (this=0xceab368,
aContent=0xd53e378)
    at nsHTMLContentSink.cpp:1605
#22 0xf5c592df in SinkContext::AddLeaf (this=0xceab368, aNode=@0xd53cfc0)
    at nsCOMPtr.h:704
#23 0xf5c5c7c2 in HTMLContentSink::AddLeaf (this=0xce61908,
aNode=@0xd53cfc0)
    at nsHTMLContentSink.cpp:3196
#24 0xf43f9b51 in CNavDTD::AddLeaf (this=0xcc28848, aNode=0xd53cfc0)
    at CNavDTD.cpp:3787
#25 0xf43fb463 in CNavDTD::HandleDefaultStartToken (this=0xcc28848,
    aToken=0xd37a850, aChildTag=eHTMLTag_img, aNode=0xd53cfc0)
    at CNavDTD.cpp:1460
#26 0xf43fc295 in CNavDTD::HandleStartToken (this=0xcc28848,
aToken=0xd37a850)
    at CNavDTD.cpp:1835
#27 0xf43fcad2 in CNavDTD::HandleToken (this=0xcc28848, aToken=0xd37a850,
    aParser=0xce6d210) at CNavDTD.cpp:1019
#28 0xf43f7d57 in CNavDTD::BuildModel (this=0xcc28848, aParser=0xce6d210,
    aTokenizer=0x0, anObserver=0x0, aSink=0xce61954) at CNavDTD.cpp:511
#29 0xf440b995 in nsParser::BuildModel (this=0xce6d210) at nsCOMPtr.h:704
#30 0xf440c78e in nsParser::ResumeParse (this=0xce6d210, allowIteration=1,
    aIsFinalChunk=1, aCanInterrupt=1) at nsParser.cpp:1763
#31 0xf440a2cf in nsParser::ContinueParsing (this=0xce6d210)
    at nsParser.cpp:1361
#32 0xf4409d85 in nsParser::HandleParserContinueEvent (this=0xd2f7738)
    at nsParser.cpp:1424
#33 0xf440d7a6 in nsParserContinueEvent::HandleEvent (aEvent=0xd2f7738)
    at nsParser.cpp:237
#34 0xf6f64b47 in PL_HandleEvent (self=0xd7728c8) at plevent.c:673
#35 0xf6f651ab in PL_ProcessPendingEvents (self=0x88a29f0) at
plevent.c:608
#36 0xf6f663fc in nsEventQueueImpl::ProcessPendingEvents (this=0x88a29b8)
    at nsEventQueue.cpp:391
#37 0xf6b61284 in event_processor_callback (source=0x89a8448,
    condition=G_IO_IN, data=0xd0c4340) at nsAppShell.cpp:67
#38 0x00d1e6b7 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#39 0x00cfa4fb in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#40 0x00cfbf82 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#41 0x00cfc22f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#42 0x002a16ce in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#43 0xf6b61836 in nsAppShell::Run (this=0x8856950) at nsAppShell.cpp:142
#44 0xf6baa4cd in nsAppShellService::Run (this=0xd2f7738) at
nsCOMPtr.h:710
#45 0x080505a3 in xre_main (argc=1, argv=0xfeea0e44, aAppData=0x8057014)
    at nsCOMPtr.h:710
#46 0x0804c339 in main (argc=1, argv=0xfeea0e44) at nsBrowserApp.cpp:58

strace ...

[pid  1900] clock_gettime(CLOCK_REALTIME, {1097677862, 756776000}) = 0
[pid  1900] futex(0x89916d8, FUTEX_WAIT, 313563, {1, 210286000}
<unfinished ...>
[pid  1886] poll( <unfinished ...>
[pid  1879] gettimeofday({1097677863, 440620}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 441253}, NULL) = 0
[pid  1879] futex(0x89916d8, FUTEX_WAKE, 1 <unfinished ...>
[pid  1900] <... futex resumed> )       = 0
[pid  1879] <... futex resumed> )       = 1
[pid  1900] futex(0x89916d4, FUTEX_WAIT, 2, NULL <unfinished ...>
[pid  1879] futex(0x89916d4, FUTEX_WAKE, 1 <unfinished ...>
[pid  1900] <... futex resumed> )       = 0
[pid  1879] <... futex resumed> )       = 1
[pid  1900] futex(0x89916d4, FUTEX_WAKE, 1) = 0
[pid  1900] gettimeofday({1097677863, 442185}, NULL) = 0
[pid  1900] futex(0x8a31ed8, FUTEX_WAKE, 1) = 0
[pid  1900] gettimeofday({1097677863, 442456}, NULL) = 0
[pid  1900] gettimeofday({1097677863, 442596}, NULL) = 0
[pid  1900] clock_gettime(CLOCK_REALTIME, {1097677863, 442733000}) = 0
[pid  1900] futex(0x89916d8, FUTEX_WAIT, 313565, {0, 524863000}
<unfinished ...>
[pid  1879] gettimeofday({1097677863, 443163}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 443328}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 443472}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 443721}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 444059}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 444659}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 445304}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 445628}, NULL) = 0
[pid  1879] gettimeofday({1097677863, 445952}, NULL) = 0
[pid  1900] <... futex resumed> )       = -1 ETIMEDOUT (Connection
timed out)
[pid  1900] gettimeofday({1097677863, 969223}, NULL) = 0
[pid  1900] futex(0x8a31ed8, FUTEX_WAKE, 1) = 0
[pid  1900] gettimeofday({1097677863, 970259}, NULL) = 0
[pid  1900] gettimeofday({1097677863, 970769}, NULL) = 0
[pid  1900] clock_gettime(CLOCK_REALTIME, {1097677863, 971271000}) = 0
[pid  1900] futex(0x89916d8, FUTEX_WAIT, 313567, {0, 322498000}) = -1
ETIMEDOUT (Connection timed out)
[pid  1900] gettimeofday({1097677864, 296240}, NULL) = 0
[pid  1900] futex(0x8a31ed8, FUTEX_WAKE, 1) = 0
[pid  1900] gettimeofday({1097677864, 297282}, NULL) = 0
[pid  1900] gettimeofday({1097677864, 297802}, NULL) = 0
[pid  1900] clock_gettime(CLOCK_REALTIME, {1097677864, 298318000}) = 0
[pid  1900] futex(0x89916d8, FUTEX_WAIT, 313569, {0, 169484000}
<unfinished ...>
[pid  1879] gettimeofday({1097677864, 412479}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 413406}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 413551}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 413704}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 413870}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 417663}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 418086}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 418508}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 418773}, NULL) = 0
[pid  1879] gettimeofday({1097677864, 419113}, NULL) = 0
[pid  1900] <... futex resumed> )       = -1 ETIMEDOUT (Connection
timed out)
[pid  1900] gettimeofday({1097677864, 470633}, NULL) = 0
[pid  1900] futex(0x8a31ed8, FUTEX_WAKE, 1) = 0
[pid  1900] gettimeofday({1097677864, 470907}, NULL) = 0
[pid  1900] gettimeofday({1097677864, 471032}, NULL) = 0
[pid  1900] gettimeofday({1097677864, 471156}, NULL) = 0
[pid  1900] gettimeofday({1097677864, 471276}, NULL) = 0
[pid  1900] clock_gettime(CLOCK_REALTIME, {1097677864, 471396000}) = 0
[pid  1900] futex(0x89916d8, FUTEX_WAIT, 313571, {11, 995880000}
<unfinished ...>
[pid  1879] gettimeofday({1097677865, 399213}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 400129}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 400450}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 400749}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 401048}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 403106}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 403571}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 404110}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 404418}, NULL) = 0
[pid  1879] gettimeofday({1097677865, 404727}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 381988}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 382913}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 383210}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 383675}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 384002}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 386054}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 386510}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 387118}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 387534}, NULL) = 0
[pid  1879] gettimeofday({1097677866, 387967}, NULL) = 0
Comment 1 Harald Hoyer 2004-10-13 10:30:45 EDT
happened while processing bugzilla bugs
Comment 2 Warren Togami 2005-05-16 05:25:43 EDT
REOPEN if this is still an issue with 1.0.4

Note You need to log in before you can comment on or make changes to this bug.